Package org.apache.calcite.avatica.remote

# Interface Service.Factory

All Known Implementing Classes:
  `MockJsonService.Factory`, `MockProtobufService.MockProtobufServiceFactory`

Enclosing interface:
  Service

public static interface Service.Factory
Factory that creates a `Service`.

## Method Summary

Modifier and Type
Method
Description
`Service`
`create(AvaticaConnection connection)`

## Method Details

### create

Service create(AvaticaConnection connection)